# Interface methods for submodule: MaskImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BinaryGeneratorImageFilterProxy as _BinaryGeneratorImageFilterProxy


# Interface methods for class: MaskImageFilter
class MaskImageFilterProxy(_BinaryGeneratorImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaskImage(self, maskImage) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	@overload
	def SetOutsideValue(self, outsideValue) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, outsideValue: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, outsideValue: float) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, outsideValue: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, outsideValue: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, outsideValue: int) -> None:
		""""""
		...

	@overload
	def GetOutsideValue(self):
		""""""
		...

	@overload
	def GetOutsideValue(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> float:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> int:
		""""""
		...

	def SetMaskingValue(self, maskingValue: int) -> None:
		""""""
		...

	def GetMaskingValue(self) -> int:
		""""""
		...

